Skip to main content
GET
/
api
/
v1
/
event
/
{event_id}
Get a specific event by ID
curl --request GET \
  --url https://dev-prediction-markets-api.dflow.net/api/v1/event/{event_id} \
  --header 'x-api-key: <api-key>'
{
  "seriesTicker": "<string>",
  "subtitle": "<string>",
  "ticker": "<string>",
  "title": "<string>",
  "competition": "<string>",
  "competitionScope": "<string>",
  "imageUrl": "<string>",
  "liquidity": 1,
  "markets": [
    {
      "accounts": {},
      "canCloseEarly": true,
      "closeTime": 1,
      "eventTicker": "<string>",
      "expirationTime": 1,
      "fractionalTradingEnabled": true,
      "marketType": "<string>",
      "noSubTitle": "<string>",
      "openInterest": 1,
      "openTime": 1,
      "result": "<string>",
      "rulesPrimary": "<string>",
      "status": "<string>",
      "subtitle": "<string>",
      "ticker": "<string>",
      "title": "<string>",
      "volume": 1,
      "yesSubTitle": "<string>",
      "earlyCloseCondition": "<string>",
      "noAsk": "<string>",
      "noBid": "<string>",
      "openInterestFp": "<string>",
      "rulesSecondary": "<string>",
      "volume24hFp": "<string>",
      "volumeFp": "<string>",
      "yesAsk": "<string>",
      "yesBid": "<string>"
    }
  ],
  "openInterest": 1,
  "openInterestFp": "<string>",
  "settlementSources": [
    {
      "name": "<string>",
      "url": "<string>"
    }
  ],
  "strikeDate": 1,
  "strikePeriod": "<string>",
  "volume": 1,
  "volume24h": 1,
  "volume24hFp": "<string>",
  "volumeFp": "<string>"
}

Need Help?

https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_discord.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=0ea834bc8a9fa3fe161ba181329effda

Join Our Discord

Connect with other developers, get help, and stay updated on the latest DFlow developments.
https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_telegram.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=e928c5dd68311ff0d419936a35c86eed

Dev Notifications

Join the DFlow Dev Notifications Telegram group to stay in the loop on new features and other announcements.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact hello@dflow.net to obtain an API key.

Path Parameters

event_id
string
required

Event ticker ID

Query Parameters

withNestedMarkets
boolean

Include nested markets in response

Response

Single event

seriesTicker
string
required
subtitle
string
required
ticker
string
required
title
string
required
competition
string | null
competitionScope
string | null
imageUrl
string | null
liquidity
integer<int64> | null
Required range: x >= 0
markets
object[] | null
openInterest
integer<int64> | null
Required range: x >= 0
openInterestFp
string | null
settlementSources
object[] | null
strikeDate
integer<int64> | null
Required range: x >= 0
strikePeriod
string | null
volume
integer<int64> | null
Required range: x >= 0
volume24h
integer<int64> | null
Required range: x >= 0
volume24hFp
string | null
volumeFp
string | null